/**
 * Created by xiaoqiang on 31/07/2018.
 */

const Store = {
    items: {},
    init():any {
        //let defer = Q.defer();
        return bridge.readFile('store.json').then((data) => {
            if (data != null) {
                this.items = JSON.parse(data.toString());
            } else {
                this.flush();
            }
            return Q.promise;
        }, () => {
            this.flush();
            return Q.promise;
        });
    },
    clean() {
        return bridge.deleteFile('store.json');
    },
    getValue(key) {
        if (this.items[key]) {
            return this.items[key]['value'];
        }
        return null;
    },
    getTimestamp(key) {
         if (this.items[key]) {
            return this.items[key]['timestamp'];
        }
        return null;
    },
    save(key, value) {
        this.items[key] = {key: key, value: value, timestamp: (new Date()).getTime()};
        this.flush();
    },
    flush() {
        bridge.writeFile('store.json', JSON.stringify(this.items));
    }
};
